Subject: Re: bug#31311: 27.0; doc of `pcase'

From: Michael Heerdegen <[email-masked]>
Date: Tue, 15 May 2018 17:16:00 +0200

Thien-Thi Nguyen <[email-masked]> writes:

> Thanks.  I've added a blurb suggesting to avoid both ‘t’ and
> ‘nil’ (commit 5fc0f24c).  Here's the text:
>
>  Two symbols to avoid are @code{t}, which behaves like @code{_}
>  (above) and is deprecated, and @code{nil}, which signals error.
>  It makes no sense to bind these (@pxref{Constant Variables}).

BTW, keywords are another case - it might be obvious that trying to bind
these symbols might not be a good idea, but it should be told for
completeness.

Maybe we should move the ATOM case in the pattern list of the pcase
docstring before the SYMBOL case?  IMO the listing should be in an order
so that the first fitting explanation is valid.

Michael.